# frozen_string_literal: true
namespace :reminders do
  desc "send reminders to stagnate quizes"
  task send_all: :environment do
    reminders = CandidateReminder.new
    reminders.send_all
  end

  desc "send reminders to reviewers"
  task reviewers: :environment do
    reminders = ReviewerReminder.new
    reminders.send_all
  end
end
